 <div class="pal_new">
	
		<h2>Edit Price</h2>
		<div class="pal_br_add">
		<a href="/settings/price" class="btn btn-success btn-lg btn-right">Back</a>
		</div>
		<form method="post" action="/settings/price_edit" onsubmit="return validation();">
				<div class="col-md-12">
			{{#each items as |item|}}

			<div class="col-md-6 form-group">
				<label>Service Name<span class="required">*</span></label>
					<select class="form-control" name="service_name" id="service_name" onChange="sel(this.value);">
						<option value="">--Select Service--</option>
						{{#each ../btyp as |bty|}}
							{{#if (ifCond bty.id item.service_id) }}
								<option value="{{bty.id}}" selected>{{bty.name}}</option>
							{{else}}
								<option value="{{bty.id}}">{{bty.name}}</option>
							{{/if}}
						{{/each}}
					</select>
				</div>

				<div class="col-md-6 form-group">
					<label>Service Category Name<span class="required">*</span></label>
					<select class="form-control" name="sub_name" id="sub_name" onChange="sel_brand(this.value);sel_work(this.value);">
						<option value="">--Select Service Category--</option>
						{{#each ../subca as |sub|}}
							{{#if (ifCond sub.id item.service_subcategory_id) }}
								<option value="{{sub.id}}" selected>{{sub.subcategory}}</option>
							{{else}}
								<option value="{{sub.id}}">{{sub.subcategory}}</option>
							{{/if}}
						{{/each}}
					</select>
				</div>

				{{#if (check item.brand_id)}}
				<span id="dis_brand" style="display: block;">
					<div class="col-md-6 form-group">
						<label>Brand Name<span class="required">*</span></label>
							<select class="form-control" name="brand_na" id="brand_na" onChange="sel(this.value);">
								<option value="">--Select Brand--</option>
								{{#each ../brands as |sel_br|}}
									{{#if (ifCond sel_br.id item.brand_id) }}
									<option value="{{sel_br.id}}" selected>{{sel_br.brand_name}}</option>
									{{else}}
									<option value="{{sel_br.id}}">{{sel_br.brand_name}}</option>
									{{/if}}
								{{/each}}
							</select>
					</div>
				</span>
				{{/if}}
				<span id="brand"></span>
				
		
				<div class="col-md-6 form-group">
					<label>Work Name<span class="required">*</span></label>
						<select class="form-control" name="work_name" id="work_name" onChange="sel1(this.value);">
							<option value="">--Select work Name--</option>
								{{#each ../work as |wrk|}}
									{{#if (ifCond wrk.id item.work_id) }}
										<option value="{{wrk.id}}" selected>{{wrk.work_name}}</option>
									{{else}}
										<option value="{{wrk.id}}">{{wrk.work_name}}</option>
									{{/if}}
								{{/each}}
						</select>
				</div>

				<div class="col-md-6 form-group">
				<label>Work Category<span class="required">*</span></label>
					<select class="form-control" name="work_cat" id="work_cat" >
						<option value="">--Select Work Category--</option>
						{{#each ../selcs as |sel|}}
							{{#if (ifCond sel.id item.work_category_id) }}
								<option value="{{sel.id}}" selected>{{sel.work_category}}</option>
							{{else}}
								<option value="{{sel.id}}">{{sel.work_category}}</option>
							{{/if}}
						{{/each}}
					</select>
				</div>

			<div class="col-md-6 form-group">
				<label>Price<span class="required">*</span></label>
					<input type="text" class="form-control" name ="price" id="price" placeholder = "Price" value="{{item.price}}" />
					<input type="hidden" value="{{item.id}}" name="bid" />
					
			</div>


			<div class="col-md-6 form-group">
				<label>Max Count<span class="required">*</span></label>
					<input type="number" class="form-control" name ="max_count" id="max_count" placeholder = "Maximum Count" onchange="multi_text(this.value);" value="{{item.max_unit}}"/>
					<input type="hidden" name="max" id="max" value="{{item.max_unit}}" />
			</div>
			{{#offer item.offer item.id}}
				
			{{/offer}}
			<span id="dis_txt">
	
			</span>
			{{/each}}
			<div class="col-md-12">
			<button type="submit" class="btn btn-primary">Update</button>
			</div>
			</div>
		</form>
		</div>
		
		<script>
			

			function validation(){
				var work_name = $('#work_name').val();
				var work_cat = $('#work_cat').val();
				var price = $('#price').val();
				var max_count = $('#max_count').val();

				
				if(work_name == ""){
					swal('Select Work Name');
					return false;
				}else if(work_cat == ""){
					swal('Select Work Caetgory Name');
					return false;
				}else if(price == ""){
					swal('Enter Price');
					return false;
				}else if(max_count == ""){
					swal('Enter Maximum Count');
					return false;
				}
			}

			function multi_text(max_count){
				var input_ele='';
				var hidden_max = $('#max').val();
				var inc_max = max_count;
				var c = 0;
				for(var i = 0;i<max_count-hidden_max;i++){
					
					input_ele += '<div class="col-md-6"><label>Count'+(Number(hidden_max) + (++c))+'(Perc %):</label><input type="number" name="offer" id="offer" class="form-control" placeholder = "Offer In Percentage" ></div>';
				}
				
				$('#dis_txt').html(input_ele);
			}

			function sel(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getjson',
                      success: function(data) {
						if(data == 1){
							swal("Service Category Not Available");
							$('#sub_name').val('');
							$('#brand').html('');
						}else{
							$('#sub_name').html(data);
						}
                      }
                  });
			}

			function sel_brand(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getbrand',
                      success: function(data) {

							if(data != '1'){
							$('#brand').html(data);
							$('#dis_brand').hide();
							$('#brand_na').val('');
							}else{
							$('#brand').html('');
							$('#dis_brand').hide();
							}
						
                      }
                  });
			}

			function sel_work(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getwork',
                      success: function(data) {

							if(data != '1'){
							$('#work_name').html(data);
							}else{
								swal('No Work Available');
								var opt = '<option value="">--Select Work--</option>';
								$('#work_name').html(opt);
								return false;
							}
						
                      }
                  });
			}


			function sel1(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/settings/getwork_cat',
                      success: function(data) {
						if(data == '<option value="">--Select Any--</option>'){
							swal("Work Category Not Available");
							$('#work_cat').val('');
							$('#work_cat').html(data);
						}else{
							$('#work_cat').html(data);
						}
                      }
                  });
			}
		</script>
		
	